-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2021.1964
                 USN-4984-1: Linux kernel vulnerabilities
                                7 June 2021

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           kernel
Publisher:         Ubuntu
Operating System:  Ubuntu
Impact/Access:     Execute Arbitrary Code/Commands -- Existing Account
                   Denial of Service               -- Existing Account
                   Access Confidential Data        -- Existing Account
Resolution:        Patch/Upgrade
CVE Names:         CVE-2021-33033 CVE-2021-31916 CVE-2021-30002
                   CVE-2021-29647 CVE-2021-28972 CVE-2021-28971
                   CVE-2021-28964 CVE-2021-28952 CVE-2021-28950
                   CVE-2021-28688 CVE-2021-28660 CVE-2021-28038
                   CVE-2021-26931 CVE-2021-3483 

Reference:         ESB-2021.1946
                   ESB-2021.1919
                   ESB-2021.1766

Original Bulletin: 
   https://ubuntu.com/security/notices/USN-4984-1

- --------------------------BEGIN INCLUDED TEXT--------------------

USN-4984-1: Linux kernel vulnerabilities
04 June 2021

Several security issues were fixed in the Linux kernel.
Releases

  o Ubuntu 20.10
  o Ubuntu 20.04 LTS

Packages

  o linux - Linux kernel
  o linux-aws - Linux kernel for Amazon Web Services (AWS) systems
  o linux-azure - Linux kernel for Microsoft Azure Cloud systems
  o linux-gcp - Linux kernel for Google Cloud Platform (GCP) systems
  o linux-hwe-5.8 - Linux hardware enablement (HWE) kernel
  o linux-kvm - Linux kernel for cloud environments
  o linux-oracle - Linux kernel for Oracle Cloud systems

Details

Jan Beulich discovered that the Xen netback backend in the Linux kernel did
not properly handle certain error conditions under paravirtualization. An
attacker in a guest VM could possibly use this to cause a denial of service
(host domain crash). ( CVE-2021-28038 )

It was discovered that the Realtek RTL8188EU Wireless device driver in the
Linux kernel did not properly validate ssid lengths in some situations. An
attacker could use this to cause a denial of service (system crash).
( CVE-2021-28660 )

It was discovered that the Xen paravirtualization backend in the Linux
kernel did not properly deallocate memory in some situations. A local
attacker could use this to cause a denial of service (memory exhaustion).
( CVE-2021-28688 )

It was discovered that the fuse user space file system implementation in
the Linux kernel did not properly handle bad inodes in some situations. A
local attacker could possibly use this to cause a denial of service.
( CVE-2021-28950 )

John Stultz discovered that the audio driver for Qualcomm SDM845 systems in
the Linux kernel did not properly validate port ID numbers. A local
attacker could use this to cause a denial of service (system crash) or
possibly execute arbitrary code. ( CVE-2021-28952 )

Zygo Blaxell discovered that the btrfs file system implementation in the
Linux kernel contained a race condition during certain cloning operations.
A local attacker could possibly use this to cause a denial of service
(system crash). ( CVE-2021-28964 )

Vince Weaver discovered that the perf subsystem in the Linux kernel did not
properly handle certain PEBS records properly for some Intel Haswell
processors. A local attacker could use this to cause a denial of service
(system crash). ( CVE-2021-28971 )

It was discovered that the RPA PCI Hotplug driver implementation in the
Linux kernel did not properly handle device name writes via sysfs, leading
to a buffer overflow. A privileged attacker could use this to cause a
denial of service (system crash) or possibly execute arbitrary code.
( CVE-2021-28972 )

It was discovered that the Qualcomm IPC router implementation in the Linux
kernel did not properly initialize memory passed to user space. A local
attacker could use this to expose sensitive information (kernel memory).
( CVE-2021-29647 )

Arnd Bergmann discovered that the video4linux subsystem in the Linux kernel
did not properly deallocate memory in some situations. A local attacker
could use this to cause a denial of service (memory exhaustion).
( CVE-2021-30002 )

Dan Carpenter discovered that the block device manager (dm) implementation
in the Linux kernel contained a buffer overflow in the ioctl for listing
devices. A privileged local attacker could use this to cause a denial of
service (system crash). ( CVE-2021-31916 )

It was discovered that the CIPSO implementation in the Linux kernel did not
properly perform reference counting in some situations, leading to use-
after-free vulnerabilities. An attacker could use this to cause a denial of
service (system crash) or possibly execute arbitrary code. ( CVE-2021-33033 )

 discovered that the IEEE 1394 (Firewire) nosy packet sniffer driver in
the Linux kernel did not properly perform reference counting in some
situations, leading to a use-after-free vulnerability. A local attacker
could use this to cause a denial of service (system crash) or possibly
execute arbitrary code. ( CVE-2021-3483 )

Update instructions

The problem can be corrected by updating your system to the following package
versions:

Ubuntu 20.10

  o linux-image-virtual - 5.8.0.55.60
  o linux-image-gcp - 5.8.0.1032.32
  o linux-image-5.8.0-55-generic-lpae - 5.8.0-55.62
  o linux-image-oracle - 5.8.0.1031.30
  o linux-image-azure - 5.8.0.1033.33
  o linux-image-5.8.0-55-generic-64k - 5.8.0-55.62
  o linux-image-5.8.0-55-lowlatency - 5.8.0-55.62
  o linux-image-5.8.0-55-generic - 5.8.0-55.62
  o linux-image-5.8.0-1033-azure - 5.8.0-1033.35
  o linux-image-gke - 5.8.0.1032.32
  o linux-image-generic-64k - 5.8.0.55.60
  o linux-image-generic - 5.8.0.55.60
  o linux-image-aws - 5.8.0.1035.37
  o linux-image-kvm - 5.8.0.1028.30
  o linux-image-5.8.0-1028-kvm - 5.8.0-1028.30
  o linux-image-5.8.0-1035-aws - 5.8.0-1035.37
  o linux-image-generic-lpae - 5.8.0.55.60
  o linux-image-5.8.0-1031-oracle - 5.8.0-1031.32
  o linux-image-5.8.0-1032-gcp - 5.8.0-1032.34
  o linux-image-lowlatency - 5.8.0.55.60

Ubuntu 20.04

  o linux-image-virtual-hwe-20.04 - 5.8.0.55.62~20.04.39
  o linux-image-generic-lpae-hwe-20.04 - 5.8.0.55.62~20.04.39
  o linux-image-5.8.0-55-generic-64k - 5.8.0-55.62~20.04.1
  o linux-image-5.8.0-55-generic-lpae - 5.8.0-55.62~20.04.1
  o linux-image-generic-64k-hwe-20.04 - 5.8.0.55.62~20.04.39
  o linux-image-5.8.0-55-lowlatency - 5.8.0-55.62~20.04.1
  o linux-image-5.8.0-55-generic - 5.8.0-55.62~20.04.1
  o linux-image-generic-hwe-20.04 - 5.8.0.55.62~20.04.39
  o linux-image-lowlatency-hwe-20.04 - 5.8.0.55.62~20.04.39

After a standard system update you need to reboot your computer to make
all the necessary changes.

ATTENTION: Due to an unavoidable ABI change the kernel updates have
been given a new version number, which requires you to recompile and
reinstall all third party kernel modules you might have installed.
Unless you manually uninstalled the standard kernel metapackages
(e.g. linux-generic, linux-generic-lts-RELEASE, linux-virtual,
linux-powerpc), a standard system upgrade will automatically perform
this as well.

References

  o CVE-2021-28972
  o CVE-2021-29647
  o CVE-2021-28971
  o CVE-2021-31916
  o CVE-2021-30002
  o CVE-2021-28038
  o CVE-2021-28950
  o CVE-2021-3483
  o CVE-2021-28964
  o CVE-2021-28688
  o CVE-2021-28952
  o CVE-2021-28660
  o CVE-2021-33033

Related notices

  o USN-4904-1 : linux-image-virtual-lts-wily, linux-image-powerpc64-emb,
    linux-image-4.4.0-208-powerpc-smp, linux-image-powerpc-e500mc-lts-vivid,
    linux-image-powerpc64-smp-lts-xenial, linux-image-powerpc-smp-lts-utopic,
    linux-image-generic-lpae-lts-utopic, linux-image-lowlatency-lts-utopic,
    linux-image-powerpc-smp-lts-vivid, linux-kvm,
    linux-image-4.4.0-208-generic, linux-aws,
    linux-image-4.4.0-208-powerpc-e500mc, linux-image-generic-lts-wily,
    linux-image-4.4.0-208-powerpc64-emb, linux-image-generic-lpae-lts-vivid,
    linux-image-powerpc-e500mc-lts-utopic, linux-image-powerpc-e500mc,
    linux-image-raspi2, linux-snapdragon, linux-image-aws, linux-image-virtual,
    linux-image-generic-lpae-lts-wily, linux-image-generic-lpae,
    linux-image-4.4.0-208-powerpc64-smp, linux-image-lowlatency-lts-wily,
    linux-image-4.4.0-1126-aws, linux-image-lowlatency-lts-xenial,
    linux-image-virtual-lts-utopic, linux-image-virtual-lts-xenial,
    linux-image-4.4.0-208-generic-lpae, linux-image-powerpc-e500mc-lts-xenial,
    linux-image-4.4.0-1091-kvm, linux-image-lowlatency,
    linux-image-powerpc64-emb-lts-utopic, linux-image-powerpc64-emb-lts-wily,
    linux-image-powerpc64-smp-lts-vivid, linux-image-kvm,
    linux-image-4.4.0-208-lowlatency, linux-image-powerpc64-smp-lts-wily,
    linux-image-snapdragon, linux-image-4.4.0-1150-raspi2,
    linux-image-4.4.0-1154-snapdragon, linux-image-generic-lts-vivid,
    linux-image-powerpc-e500mc-lts-wily, linux-image-generic-lts-xenial,
    linux-image-virtual-lts-vivid, linux-lts-xenial,
    linux-image-generic-lts-utopic, linux-image-lowlatency-lts-vivid,
    linux-image-powerpc-smp-lts-wily, linux-raspi2, linux-image-4.4.0-1090-aws,
    linux-image-generic-lpae-lts-xenial, linux,
    linux-image-powerpc64-emb-lts-vivid, linux-image-powerpc64-emb-lts-xenial,
    linux-image-powerpc-smp, linux-image-powerpc-smp-lts-xenial,
    linux-image-powerpc64-smp, linux-image-powerpc64-smp-lts-utopic,
    linux-image-generic
  o USN-4911-1 : linux-image-5.10.0-1021-oem, linux-image-oem-20.04b,
    linux-oem-5.10, linux-image-oem-20.04-edge
  o USN-4945-1 : linux-image-virtual-hwe-18.04-edge, linux-oracle-5.4,
    linux-image-oem-osp1, linux-gkeop, linux-kvm, linux-oracle,
    linux-image-gke-5.4, linux-aws, linux-image-gcp-edge, linux-azure,
    linux-image-lowlatency-hwe-18.04-edge, linux-image-oracle,
    linux-image-generic-lpae-hwe-18.04-edge, linux-image-virtual-hwe-18.04,
    linux-hwe-5.4, linux-image-aws, linux-image-virtual, linux-image-gke,
    linux-image-generic-lpae, linux-image-lowlatency-hwe-18.04, linux-gcp,
    linux-image-5.4.0-1015-gkeop, linux-image-lowlatency,
    linux-image-generic-lpae-hwe-18.04, linux-image-generic-hwe-18.04,
    linux-image-kvm, linux-image-snapdragon-hwe-18.04-edge,
    linux-image-generic, linux-image-oracle-edge, linux-gke,
    linux-image-5.4.0-1043-gke, linux-image-azure-edge, linux-image-oem,
    linux-image-5.4.0-1043-gcp, linux-image-generic-hwe-18.04-edge,
    linux-image-5.4.0-1047-azure, linux-image-snapdragon-hwe-18.04,
    linux-image-aws-edge, linux-image-gkeop, linux-image-5.4.0-1039-kvm,
    linux-gke-5.4, linux-image-5.4.0-1045-oracle, linux, linux-gkeop-5.4,
    linux-image-5.4.0-73-generic-lpae, linux-image-5.4.0-1048-aws,
    linux-image-5.4.0-73-generic, linux-azure-5.4,
    linux-image-5.4.0-1044-oracle, linux-image-gcp,
    linux-image-5.4.0-73-lowlatency, linux-image-gkeop-5.4, linux-gcp-5.4,
    linux-aws-5.4, linux-image-azure
  o USN-4945-2 : linux-raspi, linux-image-raspi2-hwe-18.04,
    linux-image-5.4.0-1035-raspi, linux-image-raspi-hwe-18.04,
    linux-image-raspi2-hwe-18.04-edge, linux-image-raspi2,
    linux-image-raspi-hwe-18.04-edge, linux-raspi-5.4, linux-image-raspi
  o USN-4946-1 : linux-image-generic-hwe-16.04,
    linux-image-lowlatency-hwe-16.04, linux-image-4.15.0-1102-snapdragon,
    linux-image-4.15.0-1085-raspi2, linux-image-4.15.0-1018-dell300x,
    linux-image-4.15.0-1099-gcp, linux-image-gcp-lts-18.04, linux-kvm,
    linux-image-4.15.0-143-lowlatency, linux-aws, linux-oracle, linux-azure,
    linux-image-oracle, linux-image-virtual-hwe-16.04-edge, linux-snapdragon,
    linux-image-aws-hwe, linux-image-virtual, linux-image-gke,
    linux-image-generic-lpae, linux-image-dell300x,
    linux-image-oracle-lts-18.04, linux-hwe, linux-image-4.15.0-1114-azure,
    linux-gcp, linux-gcp-4.15, linux-image-lowlatency,
    linux-image-azure-lts-18.04, linux-image-4.15.0-143-generic-lpae,
    linux-dell300x, linux-image-kvm, linux-image-generic,
    linux-image-virtual-hwe-16.04, linux-image-4.15.0-1071-oracle,
    linux-image-snapdragon, linux-image-4.15.0-1091-kvm, linux-aws-hwe,
    linux-image-generic-lpae-hwe-16.04, linux-image-generic-hwe-16.04-edge,
    linux-image-lowlatency-hwe-16.04-edge, linux-image-oem,
    linux-image-aws-lts-18.04, linux-image-4.15.0-143-generic,
    linux-azure-4.15, linux-raspi2, linux-image-4.15.0-1102-aws, linux,
    linux-image-gcp, linux-image-raspi2,
    linux-image-generic-lpae-hwe-16.04-edge, linux-image-azure
  o USN-4947-1 : linux-image-5.6.0-1056-oem, linux-image-oem-20.04,
    linux-oem-5.6
  o USN-4948-1 : linux-image-oem-20.04b, linux-image-5.10.0-1026-oem,
    linux-oem-5.10, linux-image-oem-20.04-edge
  o USN-4979-1 : linux-image-4.15.0-1072-oracle, linux-image-generic-hwe-16.04,
    linux-image-lowlatency-hwe-16.04, linux-image-4.15.0-1103-snapdragon,
    linux-image-gcp-lts-18.04, linux-kvm, linux-oracle, linux-aws, linux-azure,
    linux-image-oracle, linux-image-virtual-hwe-16.04-edge, linux-snapdragon,
    linux-image-aws-hwe, linux-image-virtual, linux-image-gke,
    linux-image-generic-lpae, linux-image-4.15.0-144-lowlatency,
    linux-image-oracle-lts-18.04, linux-hwe, linux-image-4.15.0-1092-kvm,
    linux-gcp, linux-image-4.15.0-1086-raspi2, linux-gcp-4.15,
    linux-image-4.15.0-144-generic, linux-image-lowlatency,
    linux-image-azure-lts-18.04, linux-image-kvm, linux-image-generic,
    linux-image-virtual-hwe-16.04, linux-image-snapdragon,
    linux-image-azure-edge, linux-aws-hwe, linux-image-generic-lpae-hwe-16.04,
    linux-image-generic-hwe-16.04-edge, linux-image-4.15.0-144-generic-lpae,
    linux-image-lowlatency-hwe-16.04-edge, linux-image-oem,
    linux-image-aws-lts-18.04, linux-azure-4.15, linux-raspi2, linux,
    linux-image-4.15.0-1100-gcp, linux-image-gcp, linux-image-4.15.0-1103-aws,
    linux-image-4.15.0-1115-azure, linux-image-raspi2,
    linux-image-generic-lpae-hwe-16.04-edge, linux-image-azure
  o USN-4982-1 : linux-image-virtual-hwe-18.04-edge, linux-oracle-5.4,
    linux-image-oem-osp1, linux-gkeop, linux-kvm, linux-oracle,
    linux-image-gke-5.4, linux-aws, linux-image-5.4.0-1048-azure, linux-azure,
    linux-image-gcp-edge, linux-image-lowlatency-hwe-18.04-edge,
    linux-image-generic-lpae-hwe-18.04-edge, linux-image-oracle, linux-hwe-5.4,
    linux-image-5.4.0-1040-kvm, linux-image-aws, linux-image-virtual,
    linux-image-virtual-hwe-18.04, linux-image-gke, linux-image-generic-lpae,
    linux-image-lowlatency-hwe-18.04, linux-image-5.4.0-1046-oracle, linux-gcp,
    linux-image-lowlatency, linux-image-generic-lpae-hwe-18.04,
    linux-image-generic-hwe-18.04, linux-image-kvm,
    linux-image-snapdragon-hwe-18.04-edge, linux-image-5.4.0-74-generic,
    linux-image-generic, linux-gke, linux-image-oracle-edge,
    linux-image-5.4.0-1049-aws, linux-image-azure-edge, linux-image-oem,
    linux-image-5.4.0-74-generic-lpae, linux-image-generic-hwe-18.04-edge,
    linux-image-snapdragon-hwe-18.04, linux-image-aws-edge,
    linux-image-5.4.0-1044-gke, linux-image-5.4.0-1044-gcp, linux-image-gkeop,
    linux-gke-5.4, linux-image-5.4.0-74-lowlatency, linux, linux-gkeop-5.4,
    linux-image-gkeop-5.4, linux-azure-5.4, linux-image-gcp, linux-gcp-5.4,
    linux-image-5.4.0-1016-gkeop, linux-aws-5.4, linux-image-azure

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBYL19/ONLKJtyKPYoAQjeDxAAmtBGZdg3vEiFSuR0LwkGovF+vh4/TLc0
1VlSclE73pkCYHCtBxsQtQaCgMJrYJno8w+NPADLfu5e+oTR3OBEUAXnmlh0SgUc
c6roaLHgzxRRGQx4j3RaIsvJu28QsAsHT3MeKa5NVEuZkPSmQ0gIy/WPC40CZo+j
LRiUXCcVARFeAAfVlnHMpJyIvuPJcQAU0gGt3muqf9F2vBKTDxhLHUqvzCnF+j3f
81rXcLRxy1fmg/ESCtRlGehVgWE3Bov9T/mNVTc9Nq9XQSv7vDj5CjQfox+b5aJs
n8hQ4zPbMmg4S8zdfbI8Bxf7G5HBrGfwVtujTYwt7WUCD8a2BKyOGc3uDjq0fTOc
Xd2M4UjHACbJJC7rTgwS+Mj+0piKVgLY9YAJCTUuyGwXQCXZ1FyZv3xDgznCIml6
8y36/5SDDMeasEz7K1KqdOLlwJgSxLCFnTqV1QqRSK/bbVZRiRXxKsvSfUSAaenO
2k9Zzu2pfvyx/gY4e0Bu7j4lXxgZALH5XhI+Z9qFB39CFwi1sbMQg8C7UYN8Px3+
u6irc0AuFU2k7rYpN4B9SJ8kHTnV+DSOPwZ2PA6HFb2w31wNaN2KFveGUnsXc6P3
Z2HMTQrZvlY8wgoByzomFiljouxV/VCO0pu8+SVf0Mu7b7qVHWhMzJiVNrj/qnUU
bMJKspS9y5Y=
=tXnx
-----END PGP SIGNATURE-----